Summary: Theora Video Compression Codec
Name: libtheora
Version: 1.0alpha3
Release: 5
Epoch: 0
License: BSD
Group: System Environment/Libraries
URL: http://www.theora.org
Source0: %{name}-%{version}.tar.bz2
Patch1: libtheora-1.0alpha3-include.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libogg-devel >= 2:1.1
BuildRequires: libvorbis-devel
BuildRequires: SDL-devel

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.

%package devel
Summary: Development tools for Theora applications.
Group: Development/Libraries
Requires:	libogg-devel >= 2:1.1
Requires:	libtheora = %{epoch}:%{version}-%{release}

%description devel
The libtheora-devel package contains the header files and documentation 
needed to develop applications with libtheora.

%package -n theora-tools
Summary: Command line tools for Theora videos
Group: Applications/Multimedia
Requires: libtheora = %{epoch}:%{version}-%{release}

%description -n theora-tools
The theora-tools package contains simple command line tools for use 
with theora bitstreams.

%prep
%setup -q
%patch1 -p1

%build
%configure --enable-shared=yes --enable-static=yes
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 examples/.libs/dump_video $RPM_BUILD_ROOT/%{_bindir}/theora_dump_video
install -m 755 examples/.libs/encoder_example $RPM_BUILD_ROOT/%{_bindir}/theora_encode
install -m 755 examples/.libs/player_example $RPM_BUILD_ROOT/%{_bindir}/theora_player

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README COPYING 
%doc doc/vp3-format.txt
%doc doc/spec.py doc/spec.html
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/theora/theora.h
%{_libdir}/*.so
%{_libdir}/*.a

%files -n theora-tools
%defattr(-,root,root,-)
%{_bindir}/*

%changelog
* Tue Oct 05 2004 Colin Walters <walters@redhat.com> - 1.0alpha3-5
- Add BuildRequires on libvorbis-devel (134664)

* Sat Jul 17 2004 Warren Togami <wtogami@redhat.com> - 1.0alpha3-4
- Add Epoch dependencies for future Epoch increment safety measure

* Thu Jul 15 2004 Colin Walters <walters@redhat.com> - 1.0alpha3-3
- Apply patch to fix include path, thanks to Thomas Vander Stichele

* Tue Jul 13 2004 Jeremy Katz <katzj@redhat.com> - 1.0alpha3-2
- rebuild

* Mon Jun 21 2004 Jeremy Katz <katzj@redhat.com> - 1.0alpha3-1
- Initial build
